public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-db/kyotocabinet/, dev-db/kyotocabinet/files/
@ 2017-04-08 10:28 Pacho Ramos
  0 siblings, 0 replies; 3+ messages in thread
From: Pacho Ramos @ 2017-04-08 10:28 UTC (permalink / raw
  To: gentoo-commits

commit:     361ae0e37e272f005ca243ee291535b73a803216
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  8 10:06:47 2017 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Apr  8 10:28:03 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=361ae0e3

dev-db/kyotocabinet: Fix gcc6 support (#594064 by Peter Levine), port to eapi6, use ltprune.eclass

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 .../files/kyotocabinet-1.2.76-gcc6.patch           | 11 ++++++++++
 dev-db/kyotocabinet/kyotocabinet-1.2.76-r1.ebuild  | 24 ++++++++++++++--------
 2 files changed, 26 insertions(+), 9 deletions(-)

diff --git a/dev-db/kyotocabinet/files/kyotocabinet-1.2.76-gcc6.patch b/dev-db/kyotocabinet/files/kyotocabinet-1.2.76-gcc6.patch
new file mode 100644
index 00000000000..3bcc6a28e79
--- /dev/null
+++ b/dev-db/kyotocabinet/files/kyotocabinet-1.2.76-gcc6.patch
@@ -0,0 +1,11 @@
+--- a/kcdbext.h
++++ b/kcdbext.h
+@@ -1278,7 +1278,7 @@
+     if (omode_ == 0) {
+       set_error(_KCCODELINE_, BasicDB::Error::INVALID, "not opened");
+       *sp = 0;
+-      return false;
++      return NULL;
+     }
+     if (!cache_) return db_.get(kbuf, ksiz, sp);
+     size_t dvsiz = 0;

diff --git a/dev-db/kyotocabinet/kyotocabinet-1.2.76-r1.ebuild b/dev-db/kyotocabinet/kyotocabinet-1.2.76-r1.ebuild
index d1cee461ef9..4b7d4de72a8 100644
--- a/dev-db/kyotocabinet/kyotocabinet-1.2.76-r1.ebuild
+++ b/dev-db/kyotocabinet/kyotocabinet-1.2.76-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=6
 
-inherit autotools eutils toolchain-funcs
+inherit autotools ltprune toolchain-funcs
 
 DESCRIPTION="A straightforward implementation of DBM"
 HOMEPAGE="http://fallabs.com/kyotocabinet/"
@@ -18,13 +18,20 @@ DEPEND="sys-libs/zlib[static-libs?]
 	app-arch/xz-utils[static-libs?]"
 RDEPEND="${DEPEND}"
 
+PATCHES=(
+	"${FILESDIR}"/fix_configure-1.2.62.patch
+	"${FILESDIR}"/${PN}-1.2.76-configure-8-byte-atomics.patch
+	"${FILESDIR}"/${PN}-1.2.76-flags.patch
+	"${FILESDIR}"/${PN}-1.2.76-gcc6.patch
+)
+
 src_prepare() {
-	epatch "${FILESDIR}"/fix_configure-1.2.62.patch
-	epatch "${FILESDIR}"/${PN}-1.2.76-configure-8-byte-atomics.patch
-	epatch "${FILESDIR}"/${PN}-1.2.76-flags.patch
+	default
+
 	sed -i -e "/DOCDIR/d" Makefile.in || die
 	tc-export AR
 
+	mv configure.in configure.ac || die
 	eautoreconf
 }
 
@@ -32,7 +39,7 @@ src_configure() {
 	econf $(use_enable debug) \
 		$(use_enable static-libs static) \
 		$(use_enable !static-libs shared) \
-		--enable-lzma --docdir=/usr/share/doc/${PF}
+		--enable-lzma
 }
 
 src_test() {
@@ -40,8 +47,7 @@ src_test() {
 }
 
 src_install() {
-	emake DESTDIR="${D}" install
-
+	default
 	prune_libtool_files
 
 	if use examples; then


^ permalink raw reply related	[flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/kyotocabinet/, dev-db/kyotocabinet/files/
@ 2019-09-18 16:36 Matt Turner
  0 siblings, 0 replies; 3+ messages in thread
From: Matt Turner @ 2019-09-18 16:36 UTC (permalink / raw
  To: gentoo-commits

commit:     3d2de1225ac49743f1d47a079a40435502da847f
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 18 16:35:27 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Sep 18 16:35:33 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d2de122

dev-db/kyotocabinet: Drop old versions

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-db/kyotocabinet/Manifest                       |  1 -
 .../files/kyotocabinet-1.2.76-gcc6.patch           | 11 ----
 dev-db/kyotocabinet/kyotocabinet-1.2.76-r1.ebuild  | 62 ----------------------
 3 files changed, 74 deletions(-)

diff --git a/dev-db/kyotocabinet/Manifest b/dev-db/kyotocabinet/Manifest
index 13b90276c1b..153fe26ce68 100644
--- a/dev-db/kyotocabinet/Manifest
+++ b/dev-db/kyotocabinet/Manifest
@@ -1,2 +1 @@
-DIST kyotocabinet-1.2.76.tar.gz 951930 BLAKE2B 7d2b5e5c85e0a6f90c88cd3b6e1b41588dffeaa2a404aa2c83281e033fe4e1275fbbc15584d4998e97f166c5060ce43c9cee9567121edbe1f72a0d5f52f42b40 SHA512 278db7b327eb4c21bf0137d9aa14fb67d74d5ce7ed1cb29fc9120d157a60de165ec0cf842903eb7952e8f998045ae585b958977fa973ba0e0773381de71d9f6a
 DIST kyotocabinet-1.2.77.tar.gz 949326 BLAKE2B faacde57e8c7fed3fb232ea6fd12b668f2d2ee352cd357d5e16e0d1740cd8f73e223964249efeae50f3ea5d0672117b2410b91ba557ebe1ac7ba4075ac28deab SHA512 f38794c11faa3f4b64097a2e314307e1a6b75ddc495103647ebe52786a689336754496e7083697417ea90436e7fad681f16440975abec9ae917874aa25153e0f

diff --git a/dev-db/kyotocabinet/files/kyotocabinet-1.2.76-gcc6.patch b/dev-db/kyotocabinet/files/kyotocabinet-1.2.76-gcc6.patch
deleted file mode 100644
index 3bcc6a28e79..00000000000
--- a/dev-db/kyotocabinet/files/kyotocabinet-1.2.76-gcc6.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/kcdbext.h
-+++ b/kcdbext.h
-@@ -1278,7 +1278,7 @@
-     if (omode_ == 0) {
-       set_error(_KCCODELINE_, BasicDB::Error::INVALID, "not opened");
-       *sp = 0;
--      return false;
-+      return NULL;
-     }
-     if (!cache_) return db_.get(kbuf, ksiz, sp);
-     size_t dvsiz = 0;

diff --git a/dev-db/kyotocabinet/kyotocabinet-1.2.76-r1.ebuild b/dev-db/kyotocabinet/kyotocabinet-1.2.76-r1.ebuild
deleted file mode 100644
index 324be9e0b8a..00000000000
--- a/dev-db/kyotocabinet/kyotocabinet-1.2.76-r1.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools ltprune toolchain-funcs
-
-DESCRIPTION="A straightforward implementation of DBM"
-HOMEPAGE="http://fallabs.com/kyotocabinet/"
-SRC_URI="${HOMEPAGE}pkg/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~s390 ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
-IUSE="debug doc examples static-libs"
-
-DEPEND="sys-libs/zlib[static-libs?]
-	app-arch/xz-utils[static-libs?]"
-RDEPEND="${DEPEND}"
-
-PATCHES=(
-	"${FILESDIR}"/fix_configure-1.2.62.patch
-	"${FILESDIR}"/${PN}-1.2.76-configure-8-byte-atomics.patch
-	"${FILESDIR}"/${PN}-1.2.76-flags.patch
-	"${FILESDIR}"/${PN}-1.2.76-gcc6.patch
-)
-
-src_prepare() {
-	default
-
-	sed -i -e "/DOCDIR/d" Makefile.in || die
-	tc-export AR
-
-	mv configure.in configure.ac || die
-	eautoreconf
-}
-
-src_configure() {
-	econf $(use_enable debug) \
-		$(use_enable static-libs static) \
-		$(use_enable !static-libs shared) \
-		--enable-lzma
-}
-
-src_test() {
-	emake -j1 check
-}
-
-src_install() {
-	default
-	prune_libtool_files
-
-	if use examples; then
-		insinto /usr/share/${PF}/example
-		doins example/*
-	fi
-
-	if use doc; then
-		insinto /usr/share/doc/${PF}
-		doins -r doc/*
-	fi
-}


^ permalink raw reply related	[flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/kyotocabinet/, dev-db/kyotocabinet/files/
@ 2023-06-18 12:56 Joonas Niilola
  0 siblings, 0 replies; 3+ messages in thread
From: Joonas Niilola @ 2023-06-18 12:56 UTC (permalink / raw
  To: gentoo-commits

commit:     ed868768e7a6b77262543f379bb0ca9e7db0974c
Author:     Brahmajit Das <brahmajit.xyz <AT> gmail <DOT> com>
AuthorDate: Wed Jun 14 10:37:33 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Jun 18 12:56:46 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed868768

dev-db/kyotocabinet: Fix build error /w clang

and most probably musl too

Signed-off-by: Brahmajit Das <brahmajit.xyz <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/31433
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 ...1.2.79-initialize-parameter-error-clang16.patch | 62 +++++++++++++++++++
 dev-db/kyotocabinet/kyotocabinet-1.2.79-r2.ebuild  | 70 ++++++++++++++++++++++
 2 files changed, 132 insertions(+)

diff --git a/dev-db/kyotocabinet/files/kyotocabinet-1.2.79-initialize-parameter-error-clang16.patch b/dev-db/kyotocabinet/files/kyotocabinet-1.2.79-initialize-parameter-error-clang16.patch
new file mode 100644
index 000000000000..4739a433ab40
--- /dev/null
+++ b/dev-db/kyotocabinet/files/kyotocabinet-1.2.79-initialize-parameter-error-clang16.patch
@@ -0,0 +1,62 @@
+Without the patch I'm getting the following error/s:
+kcthread.cc:671:50: error: cannot initialize a parameter of type 'void *' with an rvalue of type 'int'
+  while (!__sync_bool_compare_and_swap(&opq_, 0, 1)) {
+                                                 ^
+kcthread.cc:696:49: error: cannot initialize a parameter of type 'void *' with an rvalue of type 'int'
+  return __sync_bool_compare_and_swap(&opq_, 0, 1);
+--- a/kcthread.cc
++++ b/kcthread.cc
+@@ -668,7 +668,7 @@ void SpinLock::lock() {
+ #elif _KC_GCCATOMIC
+   _assert_(true);
+   uint32_t wcnt = 0;
+-  while (!__sync_bool_compare_and_swap(&opq_, 0, 1)) {
++  while (!__sync_bool_compare_and_swap(&opq_, 0, (void *)1)) {
+     if (wcnt >= LOCKBUSYLOOP) {
+       Thread::chill();
+     } else {
+@@ -693,7 +693,7 @@ bool SpinLock::lock_try() {
+   return ::InterlockedCompareExchange((LONG*)&opq_, 1, 0) == 0;
+ #elif _KC_GCCATOMIC
+   _assert_(true);
+-  return __sync_bool_compare_and_swap(&opq_, 0, 1);
++  return __sync_bool_compare_and_swap(&opq_, 0, (void *)1);
+ #else
+   _assert_(true);
+   ::pthread_spinlock_t* spin = (::pthread_spinlock_t*)opq_;
+@@ -811,7 +811,7 @@ void SlottedSpinLock::lock(size_t idx) {
+   SlottedSpinLockCore* core = (SlottedSpinLockCore*)opq_;
+   uint32_t* lock = core->locks + idx;
+   uint32_t wcnt = 0;
+-  while (!__sync_bool_compare_and_swap(lock, 0, 1)) {
++  while (!__sync_bool_compare_and_swap(lock, 0, (unsigned int)1)) {
+     if (wcnt >= LOCKBUSYLOOP) {
+       Thread::chill();
+     } else {
+@@ -880,7 +880,7 @@ void SlottedSpinLock::lock_all() {
+   for (size_t i = 0; i < slotnum; i++) {
+     uint32_t* lock = locks + i;
+     uint32_t wcnt = 0;
+-    while (!__sync_bool_compare_and_swap(lock, 0, 1)) {
++    while (!__sync_bool_compare_and_swap(lock, 0, (unsigned int)1)) {
+       if (wcnt >= LOCKBUSYLOOP) {
+         Thread::chill();
+       } else {
+@@ -1449,7 +1449,7 @@ static void spinrwlocklock(SpinRWLockCore* core) {
+   }
+ #elif _KC_GCCATOMIC
+   _assert_(core);
+-  while (!__sync_bool_compare_and_swap(&core->sem, 0, 1)) {
++  while (!__sync_bool_compare_and_swap(&core->sem, 0, (unsigned int)1)) {
+     ::sched_yield();
+   }
+ #else
+@@ -1732,7 +1732,7 @@ static void slottedspinrwlocklock(SlottedSpinRWLockCore* core, size_t idx) {
+   }
+ #elif _KC_GCCATOMIC
+   _assert_(core);
+-  while (!__sync_bool_compare_and_swap(core->sems + idx, 0, 1)) {
++  while (!__sync_bool_compare_and_swap(core->sems + idx, 0, (unsigned int)1)) {
+     ::sched_yield();
+   }
+ #else

diff --git a/dev-db/kyotocabinet/kyotocabinet-1.2.79-r2.ebuild b/dev-db/kyotocabinet/kyotocabinet-1.2.79-r2.ebuild
new file mode 100644
index 000000000000..fc4463ca0d3a
--- /dev/null
+++ b/dev-db/kyotocabinet/kyotocabinet-1.2.79-r2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools toolchain-funcs
+
+DESCRIPTION="A straightforward implementation of DBM"
+HOMEPAGE="https://dbmx.net/kyotocabinet/"
+SRC_URI="https://dbmx.net/kyotocabinet/pkg/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="debug doc examples +lzma +lzo static-libs"
+
+DEPEND="sys-libs/zlib[static-libs?]
+	lzma? ( app-arch/xz-utils:=[static-libs?] )
+	lzo? ( dev-libs/lzo:=[static-libs?] )"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+	"${FILESDIR}"/fix_configure-1.2.62.patch
+	"${FILESDIR}"/${PN}-1.2.76-configure-8-byte-atomics.patch
+	"${FILESDIR}"/${PN}-1.2.76-flags.patch
+	"${FILESDIR}"/${PN}-1.2.79-configure-clang16.patch
+	"${FILESDIR}"/${PN}-1.2.79-initialize-parameter-error-clang16.patch
+)
+
+src_prepare() {
+	default
+
+	sed -i -e "/DOCDIR/d" Makefile.in || die
+	tc-export AR
+
+	mv configure.in configure.ac || die
+	eautoreconf
+}
+
+src_configure() {
+	# We need to set LD_LIBRARY_PATH which will be assigned to RUNENV later
+	# used by test suite
+	LD_LIBRARY_PATH=. \
+	econf $(use_enable debug) \
+		$(use_enable static-libs static) \
+		$(use_enable !static-libs shared) \
+		$(use_enable lzma) \
+		$(use_enable lzo)
+}
+
+src_test() {
+	emake -j1 check
+}
+
+src_install() {
+	default
+
+	if ! use static-libs; then
+		find "${ED}" -name '*.a' -delete || die
+	fi
+
+	if use doc; then
+		dodoc -r doc/*
+	fi
+
+	if use examples; then
+		docinto example
+		dodoc example/*
+	fi
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2023-06-18 12:56 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-04-08 10:28 [gentoo-commits] repo/gentoo:master commit in: dev-db/kyotocabinet/, dev-db/kyotocabinet/files/ Pacho Ramos
  -- strict thread matches above, loose matches on Subject: below --
2019-09-18 16:36 Matt Turner
2023-06-18 12:56 Joonas Niilola

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox